<?php
if ( is_admin() && class_exists( 'Essential_Grid_Admin' ) ) {
    remove_action( 'admin_notices', array( Essential_Grid_Admin::get_instance(), 'add_activate_notification' ) );
}

if ( is_admin() && class_exists( 'RevSliderAdmin' ) && isset( $productAdmin ) ) {
    remove_action( 'admin_notices', array( $productAdmin, 'addActivateNotification' ) );
}

if ( is_admin() && function_exists( 'vc_manager' ) ) {
    add_action( 'admin_print_scripts-post.php', 'infinity_vc_remove_notice', 15 );
    function infinity_vc_remove_notice() {
        remove_action( 'admin_notices', array( vc_manager()->license(), 'adminNoticeLicenseActivation', ) );
    }
}