<?php
vc_map( array(
	'name'                      => esc_html( __( 'Member Info', 'tm-lawyers' ) ),
	'base'                      => 'thememove_memberinfo',
	'category'                  => esc_html( sprintf( __( 'by %s', 'tm-lawyers' ), TM_LAWYERS_PARENT_THEME_NAME ) ),
	'allowed_container_element' => 'vc_row',
	'params'                    => array(
		array(
			'type'        => 'textfield',
			'heading'     => esc_html( __( 'Name', 'tm-lawyers' ) ),
			'admin_label' => true,
			'param_name'  => 'name'
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_html( __( 'Byline', 'tm-lawyers' ) ),
			'param_name'  => 'byline',
			'description' => esc_html( __( 'Example: Creative Manager', 'tm-lawyers' ) )
		),
		array(
			'type'       => 'textarea',
			'heading'    => esc_html( __( 'Description', 'tm-lawyers' ) ),
			'param_name' => 'desc'
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html( __( 'Facebook url', 'tm-lawyers' ) ),
			'param_name' => 'facebook'
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html( __( 'Twitter url', 'tm-lawyers' ) ),
			'param_name' => 'twitter'
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html( __( 'Instagram url', 'tm-lawyers' ) ),
			'param_name' => 'instagram'
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html( __( 'Youtube url', 'tm-lawyers' ) ),
			'param_name' => 'youtube'
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html( __( 'Vimeo url', 'tm-lawyers' ) ),
			'param_name' => 'vimeo'
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html( __( 'Phone', 'tm-lawyers' ) ),
			'param_name' => 'phone'
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html( __( 'Email', 'tm-lawyers' ) ),
			'param_name' => 'email'
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html( __( 'Extra class name', 'tm-lawyers' ) ),
			'param_name' => 'class',
		)
	)
) );