<?php
vc_map( array(
	'name'     => esc_html( __( 'Recent Posts', 'tm-lawyers' ) ),
	'base'     => 'thememove_recentposts',
	'category' => esc_html( sprintf( __( 'by %s', 'tm-lawyers' ), TM_LAWYERS_PARENT_THEME_NAME ) ),
	'params'   => array(
		array(
			"type"       => 'dropdown',
			"heading"    => esc_html( __( 'Type', 'tm-lawyers' ) ),
			"param_name" => 'type',
			"value"      => array(
				esc_html( __( "Type 1", 'tm-lawyers' ) ) => 'type_1',
				esc_html( __( "Type 2", 'tm-lawyers' ) ) => 'type_2',
			),
		),
		array(
			'type'       => 'checkbox',
			'param_name' => 'show_title',
			'value'      => array(
				esc_html( __( 'Show title', 'tm-lawyers' ) ) => true
			)
		),
		array(
			'type'       => 'checkbox',
			'param_name' => 'show_excerpt',
			'value'      => array(
				esc_html( __( 'Show excerpt', 'tm-lawyers' ) ) => true
			)
		),
		array(
			'type'       => 'checkbox',
			'param_name' => 'show_meta',
			'value'      => array(
				esc_html( __( 'Show Meta', 'tm-lawyers' ) ) => true
			)
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html( __( 'Enter numbers of articles', 'tm-lawyers' ) ),
			'param_name' => 'number',
		),
	)
) );

