<?php
vc_map( array(
	'name'                      => esc_html( __( 'Skill', 'tm-lawyers' ) ),
	'base'                      => 'thememove_skill',
	'category'                  => esc_html( sprintf( __( 'by %s', 'tm-lawyers' ), TM_LAWYERS_PARENT_THEME_NAME ) ),
	'allowed_container_element' => 'vc_row',
	'params'                    => array(
		array(
			'type'        => 'textfield',
			'heading'     => esc_html( __( 'Name', 'tm-lawyers' ) ),
			'admin_label' => true,
			'param_name'  => 'name'
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_html( __( 'Value', 'tm-lawyers' ) ),
			'admin_label' => true,
			'param_name'  => 'value',
			'description' => esc_html( __( 'Number 1-100', 'tm-lawyers' ) )
		),
		array(
			'type'       => 'colorpicker',
			'heading'    => esc_html( __( 'Background color', 'tm-lawyers' ) ),
			'param_name' => 'bg'
		),
		array(
			'type'       => 'colorpicker',
			'heading'    => esc_html( __( 'Bar color', 'tm-lawyers' ) ),
			'param_name' => 'bar'
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html( __( 'Extra class name', 'tm-lawyers' ) ),
			'param_name' => 'class',
		)
	)
) );