/*--------------------------------------------------------------
 Custom js
 --------------------------------------------------------------*/
var snapper = new Snap({
    element: document.getElementById('page'),
    dragger: document.getElementsByClassName('page'),
    disable: 'right',
    slideIntent: 10,
});
var addEvent = function addEvent(element, eventName, func) {
    if (element.addEventListener) {
        return element.addEventListener(eventName, func, false);
    } else if (element.attachEvent) {
        return element.attachEvent("on" + eventName, func);
    }
};
addEvent(document.getElementById('open-left'), 'click', function () {
    snapper.open('left');
});
jQuery(document).ready(function ($) {
    'use strict';

    // mini-cart
    var $mini_cart = $('.mini-cart');
    $mini_cart.on('click', function (e) {
        $(this).addClass('open');
    });

    $(document).on('click', function (e) {
        if ($(e.target).closest($mini_cart).length == 0) {
            $mini_cart.removeClass('open');
        }
    });

    // search in desktop
    $('.search-btn').on('click', function () {
        $('.popup-search').show();
        $('.popup-search .search-field').focus();
        $('body').addClass('body-noscroll');
    });

    $('.popup-search-close').on('click', function () {
        $('.popup-search').hide();
        $('body').removeClass('body-noscroll');
    });

    // counterup
    $('.counter').counterUp({
        delay: 10,
        time: 1000
    });

    var mheight = $('.tmlawyer_contact_form').outerHeight() + 16;
    $('.tmlawyer_contact_map').find('#map-canvas').height(mheight);
    $('.tmlawyer_contact_map').find('#map-canvas').attr('data-height', mheight);

    // fitvids
    $(".container").fitVids();

    //gallery
    jQuery(".gallery-size-full").owlCarousel({
        autoplay: true,
        autoplayTimeout: 3000,
        loop: true,
        items: 1,
        navigation: false,
        stopOnHover: true,
        paginationSpeed: 1000,
        goToFirstSpeed: 2000,
        singleItem: true,
        autoHeight: true,
        transitionStyle: "fade"
    });
});