<?php
$section  = 'navigation_general';
$priority = 1;

Kirki::add_field( 'tm-lawyers', array(
	'type'        => 'toggle',
	'setting'     => 'nav_sticky_enable',
	'label'       => esc_html( __( 'Sticky Menu', 'tm-lawyers' ) ),
	'description' => esc_html( __( 'Turn on this option if you want to enable sticky header on your site', 'tm-lawyers' ) ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 0,
) );

Kirki::add_field( 'tm-lawyers', array(
	'type'        => 'color',
	'setting'     => 'nav_bg',
	'label'       => esc_html( __( 'Main background', 'tm-lawyers' ) ),
	'description' => esc_html( __( 'Choose background color for main menu', 'tm-lawyers' ) ),
	'transport'   => 'postMessage',
	'section'     => $section,
	'priority'    => $priority ++,
	'output'      => array(
		array(
			'element'  => '.main-navigation',
			'property' => 'background-color',
		),
	),
	'js_vars'     => array(
		array(
			'element'  => '.main-navigation',
			'function' => 'css',
			'property' => 'background-color',
		),
	),
) );