<?php
$section  = 'navigation_mobile_menu';
$priority = 1;

Kirki::add_field( 'tm-lawyers', array(
	'type'        => 'color',
	'setting'     => 'mobile_menu_icon_color',
	'label'       => esc_html( __( 'Color', 'tm-lawyers' ) ),
	'description' => esc_html( __( 'Choose color for mobile menu icon', 'tm-lawyers' ) ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '#333333',
	'transport'   => 'postMessage',
	'output'      => array(
		array(
			'element'  => '#open-left, #open-left:before, .search-box-mobile i',
			'property' => 'color'
		)
	),
) );

Kirki::add_field( 'tm-lawyers', array(
	'type'        => 'color',
	'setting'     => 'mobile_menu_bg_color',
	'label'       => esc_html( __( 'Background', 'tm-lawyers' ) ),
	'description' => esc_html( __( 'Choose background color for mobile menu', 'tm-lawyers' ) ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => TM_LAWYERS_PRIMARY_COLOR,
	'output'      => array(
		array(
			'element'  => '.site-header',
			'property' => 'background-color',
			'prefix'   => '@media ( max-width: 61.9375rem ) {',
			'suffix'   => '}'
		)
	),
) );