<?php
$section  = 'page_general';
$priority = 1;

Kirki::add_field( 'tm-lawyers', array(
	'type'        => 'radio',
	'setting'     => 'page_layout',
	'label'       => esc_html( __( 'Page layout', 'tm-lawyers' ) ),
	'description' => esc_html( __( 'Choose the site layout you want', 'tm-lawyers' ) ),
	'help'        => esc_html( __( 'Choose the site layout you want', 'tm-lawyers' ) ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 'content-sidebar',
	'choices'     => array(
		'full-width'      => __( 'Full width', 'tm-lawyers' ),
		'content-sidebar' => __( 'Content Sidebar', 'tm-lawyers' ),
		'sidebar-content' => __( 'Sidebar Content', 'tm-lawyers' ),
	),
) );

Kirki::add_field( 'tm-lawyers', array(
	'type'        => 'radio',
	'setting'     => 'archive_layout',
	'label'       => esc_html( __( 'Archive layout', 'tm-lawyers' ) ),
	'description' => esc_html( __( 'Choose the archive layout you want', 'tm-lawyers' ) ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 'content-sidebar',
	'choices'     => array(
		'full-width'      => __( 'Full width', 'tm-lawyers' ),
		'content-sidebar' => __( 'Content - Sidebar', 'tm-lawyers' ),
		'sidebar-content' => __( 'Sidebar Content', 'tm-lawyers' ),
	),
) );

Kirki::add_field( 'tm-lawyers', array(
	'type'        => 'radio',
	'setting'     => 'search_layout',
	'label'       => esc_html( __( 'Search layout', 'tm-lawyers' ) ),
	'description' => esc_html( __( 'Choose the search layout you want', 'tm-lawyers' ) ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 'content-sidebar',
	'choices'     => array(
		'full-width'      => __( 'Full width', 'tm-lawyers' ),
		'content-sidebar' => __( 'Content - Sidebar', 'tm-lawyers' ),
		'sidebar-content' => __( 'Sidebar Content', 'tm-lawyers' ),
	),
) );