<?php
$panel    = 'site';
$priority = 1;

Kirki::add_section( 'site_skin', array(
	'title'       => esc_html( __( 'Skin', 'tm-lawyers' ) ),
	'panel'       => $panel,
	'description' => esc_html( __( 'By combine preset and color scheme you can make unlimited skin', 'tm-lawyers' ) ),
	'priority'    => $priority ++,
	'icon'        => 'dashicons-art',
) );

Kirki::add_section( 'site_content', array(
	'title'    => esc_html( __( 'Content', 'tm-lawyers' ) ),
	'panel'    => $panel,
	'priority' => $priority ++,
	'icon'     => 'dashicons-format-aside',
) );

Kirki::add_section( 'site_heading', array(
	'title'    => esc_html( __( 'Heading', 'tm-lawyers' ) ),
	'panel'    => $panel,
	'priority' => $priority ++,
	'icon'     => 'dashicons-admin-customizer',
) );

Kirki::add_section( 'site_breadcrumb', array(
	'title'    => esc_html( __( 'Breadcrumb', 'tm-lawyers' ) ),
	'panel'    => $panel,
	'priority' => $priority ++,
	'icon'     => 'dashicons-filter',
) );

Kirki::add_section( 'site_newsletter', array(
	'title'    => esc_html( __( 'Newsletter', 'tm-lawyers' ) ),
	'panel'    => $panel,
	'priority' => $priority ++,
	'icon'     => 'dashicons-email',
) );

Kirki::add_section( 'site_404', array(
	'title'    => esc_html( __( '404 Page', 'tm-lawyers' ) ),
	'panel'    => $panel,
	'priority' => $priority ++,
	'icon'     => 'dashicons-warning',
) );

Kirki::add_section( 'site_other', array(
	'title'    => esc_html( __( 'Other', 'tm-lawyers' ) ),
	'icon'     => 'schedule',
	'panel'    => $panel,
	'priority' => $priority ++,
	'icon'     => 'dashicons-admin-tools',
) );

require_once get_template_directory() . '/inc/customizer/site/skin.php';
require_once get_template_directory() . '/inc/customizer/site/content.php';
require_once get_template_directory() . '/inc/customizer/site/heading.php';
if ( function_exists( 'tm_bread_crumb' ) ) {
	require_once get_template_directory() . '/inc/customizer/site/breadcrumb.php';
}
require_once get_template_directory() . '/inc/customizer/site/newsletter.php';
require_once get_template_directory() . '/inc/customizer/site/404.php';
require_once get_template_directory() . '/inc/customizer/site/other.php';
