<?php
$section  = 'site_skin';
$priority = 1;

Kirki::add_field( 'tm-lawyers', array(
	'type'     => 'custom',
	'setting'  => 'skin_group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '<div class="group_title">Preset</div>',
) );

Kirki::add_field( 'tm-lawyers', array(
	'type'        => 'preset',
	'settings'    => 'preset',
	'description' => __( 'Choose a preset you want', 'tm-lawyers' ),
	'section'     => $section,
	'default'     => '1',
	'priority'    => $priority ++,
	'multiple'    => 3,
	'choices'     => array(
		'1' => array(
			'label'    => __( 'Preset 1', 'tm-lawyers' ),
			'settings' => array(
				'header_type'     => 'header01',
				'logo'            => 'http://lawyers.thememove.com/data/images/logo_1.png',
				'header_bg_color' => '#ffffff',
				'top_bg_color'    => '#333333',
				'nav_bg'          => '#C89A69'
			),
		),
		'2' => array(
			'label'    => __( 'Preset 2', 'tm-lawyers' ),
			'settings' => array(
				'header_type'     => 'header02',
				'logo'            => 'http://lawyers.thememove.com/data/images/logo_2.png',
				'header_bg_color' => '#ffffff',
				'top_bg_color'    => '#333333',
				'nav_bg'          => '#C89A69'
			),
		),
		'3' => array(
			'label'    => __( 'Preset 3', 'tm-lawyers' ),
			'settings' => array(
				'header_type'     => 'header03',
				'logo'            => 'http://lawyers.thememove.com/data/images/logo_3.png',
				'header_bg_color' => '#333333',
				'top_bg_color'    => '#333333',
				'nav_bg'          => '#C89A69'
			),
		),
		'4' => array(
			'label'    => __( 'Preset 4', 'tm-lawyers' ),
			'settings' => array(
				'header_type'          => 'header04',
				'logo'                 => 'http://lawyers.thememove.com/data/images/logo_4.png',
				'header_bg_color'      => '#ffffff',
				'top_bg_color'         => '#EEEEEE',
				'nav_bg'               => '#ffffff',
				'top_right_text_color' => '#888888'
			),
		),
	),
) );

/*

Kirki::add_field( 'tm-lawyers', array(
	'type'     => 'custom',
	'setting'  => 'skin_group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '<div class="group_title">Color scheme</div>',
) );

Kirki::add_field( 'tm-lawyers', array(
	'type'        => 'preset',
	'settings'    => 'color_scheme',
	'description' => __( 'Choose a color scheme you want.', 'tm-lawyers' ),
	'section'     => $section,
	'default'     => '1',
	'priority'    => $priority ++,
	'multiple'    => 3,
	'choices'     => array(
		'1' => array(
			'label'    => __( 'Scheme 1', 'tm-lawyers' ),
			'settings' => array(
				'color_primary'   => TM_LAWYERS_PRIMARY_COLOR,
				'color_secondary' => TM_LAWYERS_SECONDARY_COLOR,
			),
		),
		'2' => array(
			'label'    => __( 'Scheme 2', 'tm-lawyers' ),
			'settings' => array(
				'color_primary'   => '#dd9933',
				'color_secondary' => '#81d742',
			),
		),
	),
) );

Kirki::add_field( 'tm-lawyers', array(
	'type'        => 'color',
	'setting'     => 'color_primary',
	'label'       => esc_html( __( 'Primary', 'tm-lawyers' ) ),
	'description' => esc_html( __( 'Choose main color for your site', 'tm-lawyers' ) ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => TM_LAWYERS_PRIMARY_COLOR,
	'transport'   => 'postMessage',
) );

Kirki::add_field( 'tm-lawyers', array(
	'type'        => 'color',
	'setting'     => 'color_secondary',
	'label'       => esc_html( __( 'Secondary', 'tm-lawyers' ) ),
	'description' => esc_html( __( 'Choose secondary color for your site', 'tm-lawyers' ) ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => TM_LAWYERS_SECONDARY_COLOR,
	'transport'   => 'postMessage',
) );

*/