<?php
vc_map( array(
	'name'                      => esc_html( __( 'Our Team', 'tm-lawyers' ) ),
	'base'                      => 'thememove_ourteam',
	'category'                  => esc_html( sprintf( __( 'by %s', 'tm-lawyers' ), TM_LAWYERS_PARENT_THEME_NAME ) ),
	'allowed_container_element' => 'vc_row',
	'params'                    => array(
		array(
			'type'       => 'dropdown',
			'heading'    => esc_html( __( 'Type', 'tm-lawyers' ) ),
			'param_name' => 'type',
			'value'      => array(
				__( '1', 'tm-lawyers' ) => '1',
				__( '2', 'tm-lawyers' ) => '2',
			),
		),
		array(
			'type'        => 'attach_image',
			'heading'     => esc_html( __( 'Photo', 'tm-lawyers' ) ),
			'admin_label' => true,
			'param_name'  => 'photo',
			'description' => esc_html( __( 'Member photo', 'tm-lawyers' ) )
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_html( __( 'Name', 'tm-lawyers' ) ),
			'admin_label' => true,
			'param_name'  => 'name'
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_html( __( 'Byline', 'tm-lawyers' ) ),
			'param_name'  => 'byline',
			'description' => esc_html( __( 'Example: Creative Manager', 'tm-lawyers' ) )
		),
		array(
			'type'       => 'textarea',
			'heading'    => esc_html( __( 'Description', 'tm-lawyers' ) ),
			'param_name' => 'desc'
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html( __( 'Profile url', 'tm-lawyers' ) ),
			'param_name' => 'profile'
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html( __( 'Extra class name', 'tm-lawyers' ) ),
			'param_name' => 'class',
		)
	)
) );